Get a webhook subscription
curl --request GET \
--url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/webhook-subscriptions/{subscription_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/webhook-subscriptions/{subscription_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/webhook-subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook_subscription": {
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"target_url": "<string>",
"subscribed_event_types": [
"<string>"
],
"secret_last_rotated_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "unauthorized",
"message": "Authentication required."
}
}{
"error": {
"code": "forbidden",
"message": "Owner or grant required."
}
}{
"error": {
"code": "validation_error",
"message": "Request body failed schema validation.",
"details": [
{
"path": "/subject_id",
"message": "subject_id is required.",
"code": "invalid_type"
}
],
"request_id": "req_01j2k3m4n5"
}
}Webhooks
Get Subscription
GET
/
v1
/
webhook-subscriptions
/
{subscription_id}
Get a webhook subscription
Authorizations
Firebase Auth JWT issued by Google Identity Platform.
Obtain a token by signing in at your app domain and calling
firebase.auth().currentUser.getIdToken().
Path Parameters
Query Parameters
Response
Subscription.
Show child attributes
Show child attributes
⌘I